Bug 35490 - [RDC] New dateRange composite
Summary: [RDC] New dateRange composite
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: RDC Taglib (show other bugs)
Version: unspecified
Hardware: Other other
: P2 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-24 02:39 UTC by Elam Birnbaum
Modified: 2006-01-09 08:05 UTC (History)
0 users



Attachments
Files required to add a new dateRange RDC composite (17.59 KB, patch)
2005-06-24 02:40 UTC, Elam Birnbaum
Details | Diff
Tested against 6/23 sources (8.51 KB, application/octet-stream)
2005-06-24 06:12 UTC, Rahul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elam Birnbaum 2005-06-24 02:39:19 UTC
This composite is used when one needs to capture a starting and ending date
together. An example would be an IVR that allows you to suspend your newspaper
subscription when you go on vacation. The composite ensures that the ending date
is after the starting date.

New Files

/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/dateRange.rdc
/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/dateRange.tag
/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/config/daterangeenddate.xml
/jakarta-taglibs-sandbox/rdc/src/META-INF/tags/rdc/config/daterangestartdate.xml
/jakarta-taglibs-sandbox/rdc/src/org/apache/taglibs/rdc/DateRange.java
/jakarta-taglibs-sandbox/rdc/src/org/apache/taglibs/rdc/DateRangeData.java
/jakarta-taglibs-sandbox/rdc/examples/web/dateRange-test.jsp

Modified Files

/jakarta-taglibs-sandbox/rdc/xml/rdc.xml
Comment 1 Elam Birnbaum 2005-06-24 02:40:41 UTC
Created attachment 15526 [details]
Files required to add a new dateRange RDC composite
Comment 2 Rahul 2005-06-24 06:12:41 UTC
Created attachment 15527 [details]
Tested against 6/23 sources


Thanks a lot for the contribution. We don't have too many composites in the
distro so this is a welcome addition.

I tested this against 6/23 sources. I made one change in the new patch attached
here: The DateRangeInfo classname reference in dateRange.tag seems to be a
reference to the DateRange class which is the composite's private data model
(got a CNFE before I made that correction).

Could one of the committers please apply this patch? Thanks for your time, and
please let me know if anything else is needed.

-Rahul
Comment 3 Rahul Akolkar 2005-08-10 20:27:13 UTC
Thank you Elam, I've applied the patch with minor modifications. It will be 
picked up in tonight's build; you may test it and close this 
bugzilla ticket. If I do not hear from you in a week or two, I will close 
this ticket.
Comment 4 Rahul Akolkar 2006-01-09 17:05:25 UTC
Closing ticket. Thanks again Elam.